ETHERCAT(0,0)'Ethercat initial
ETHERCAT(6, 0, 0) ' Put the EtherCAT status in a VR（0） variable
IF VR(0)=1 THEN'PRINT the ETHERCAT status to the terminal 0.
    PRINT "ETHERCAT IN pre-OP state"
ELSEIF VR(0)=2 THEN
    PRINT "ETHERCAT IN safe-OP state"
ELSEIF VR(0)=3 THEN
    PRINT "ETHERCAT IN OP state"
ENDIF
REPEAT
IF VR(1)=1 THEN'Control Axis Enable
    WDOG=ON
ELSEIF VR(1)=0 THEN
    WDOG=OFF
ENDIF
IF VR(2)=1 THEN'Let Axis in motion control
    SERVO AXIS(0)=ON
    SERVO AXIS(1)=ON
ELSEIF VR(2)=0 THEN
    SERVO AXIS(0)=OFF
    SERVO AXIS(1)=OFF
ENDIF
BASE(0)'Connect Axis0
ACCEL=10000000
DECEL=10000000
SPEED=1200000
BASE(1)'Connect Axis1
ACCEL=10000000
DECEL=10000000
SPEED=1200000
WA(1000)'delay 1000ms
IF VR(3)=1 THEN'Let Axis in relative position
    MOVE(100000) AXIS(0)
    MOVE(100000) AXIS(1)
    WAIT UNTIL VR(3)=0
    CANCEL AXIS(0)
    CANCEL AXIS(1)
    WAIT IDLE
ELSEIF VR(3)=2 THEN'Let Axis in CW running
    FORWARD AXIS(0)
    FORWARD AXIS(1)
    WAIT UNTIL VR(3)=0
    CANCEL AXIS(0)
    CANCEL AXIS(1)
    WAIT IDLE
ELSEIF VR(3)=3 THEN'Let Axis in CCW running
    REVERSE AXIS(0)
    REVERSE AXIS(1)
    WAIT UNTIL VR(3)=0
    CANCEL AXIS(0)
    CANCEL AXIS(1)
    WAIT IDLE
ENDIF
IF VR(4)=1 THEN
    CO_WRITE_AXIS(0,$2020,01,4,5)'SDO put VR5 value into AXIS0 21000120
    CO_READ_AXIS (0,$2020,01,4,6)'SDO read AXIS0 21000120 value into VR6
    CO_WRITE_AXIS(1,$2020,01,4,7)'SDO put VR7 value into AXIS1 21000120
    CO_READ_AXIS (1,$2020,01,4,8)'SDO read AXIS1 21000120 value into VR8
ENDIF
WA(100)'delay 100ms
VR(9)=VR(9)+1'only count the programm finish
UNTIL VR(10)=1
